# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: '%env(REDIS_URL)%'
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
        cookie_secure: false
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native

    #esi: true
    #fragments: true
    php_errors:
        log: true

    http_client:
        scoped_clients:
            collection_api.client:
                base_uri: '%env(API_URL)%'

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
